cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
We just wanted to say thank you! Check out our customer appreciation video here.

Dropbox API Support & Feedback

Find help with the Dropbox API from other developers.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

PHP SDK API v1 to v2 migration

PHP SDK API v1 to v2 migration

Tiago S.4
New member | Level 1

Hello everyone!

It looks like Dropbox currently doesn't have plans for an official PHP SDK for Dropbox API v2.

Maybe this is a dumb question but if I change the endpoints from v1 to v2 according the migration guide will it work with API v2?

Thanks!

1 Reply 1

Greg-DB
Dropbox Staff

Hi Tiago, if I understand your question correctly, no, API v1 and API v2 aren't compatible interfaces. That is, while API v2 has almost all of the functionality of API v1, the way API v2 calls are made, the parameters, and the data structures are different, so you can't just drop in the new respective endpoints in the same code.

Need more support?
Who's talking

Top contributors to this post

  • User avatar
    Greg-DB Dropbox Staff
What do Dropbox user levels mean?